
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>鱼和熊掌兼得——解密阿里云PCDN如何实现高质量低价格 / iVAN</title>

    <meta name="description" content="鱼和熊掌兼得——解密阿里云PCDN如何实现高质量低价格 在内容分发领域,之前CDN产品一直占据着主导地位,CDN的质量好,但价格偏高,正应了那句老话&quot;一分价钱一分货&quot;.质量和价格似乎是矛盾体,鱼和熊掌不可兼得.随着云计算的高速发展,不断涌现出各种黑科技,让&quot;性价比&quot;不再是句口号,低价也能买到好产品.今天介绍的阿里云这款黑科技产品就是PCDN,质量不低于CDN,同时价格可以低至CDN的一半,质优价廉,鱼和熊掌兼得. PCDN是以P2P技术为基础,通过挖掘利用边缘网络海量碎片化闲置资源而构建的低成本高品质内容分发网 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">鱼和熊掌兼得——解密阿里云PCDN如何实现高质量低价格</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在内容分发领域，之前CDN产品一直占据着主导地位，CDN的质量好，但价格偏高，正应了那句老话“一分价钱一分货”。质量和价格似乎是矛盾体，鱼和熊掌不可兼得。随着云计算的高速发展，不断涌现出各种黑科技，让“性价比”不再是句口号，低价也能买到好产品。今天介绍的阿里云这款黑科技产品就是PCDN，质量不低于CDN，同时价格可以低至CDN的一半，质优价廉，鱼和熊掌兼得。</p>
<p>PCDN是以P2P技术为基础，通过挖掘利用边缘网络海量碎片化闲置资源而构建的低成本高品质内容分发网络服务。通过集成PCDN SDK接入该服务后，能获得等同或高于CDN的分发质量，同时显著降低分发成本。适用于视频点播、直播、大文件下载等业务场景。P2P技术从诞生到今天，从刚开始面向C端用户，粗放发展，到如今面向B端大客户正式商业化，能提供全面的服务质量保证，已经更新迭代了很多版本。</p>
<h3>一、P2P技术的发展演变过程</h3>
<p>早期的P2P技术，称为1.0版本，这个版本主要是依靠P2P尽力而为的提供服务，没有服务质量保障。像2000年前后出现的迅雷、BT、电驴等2C的应用。这类应用是互联网上内容传播分享的工具，并没有严谨的服务质量保证，而且从技术层面来说，这样的应用都是基于终端流量的上传，需要同时读写电脑本地的磁盘。</p>
<p>经过几年的发展，到2005年左右，发展到P2P的2.0版本，这个版本的主要特征是P2P+CDN，有了一定的服务质量保障。像风行、PPlive、PPS、优酷等视频网站，把P2P和CDN相结合，做了自建的技术方案。但是从技术实现上来讲，还是基于终端的流量互传，主要是PC客户端和Flash这两种形态。</p>
<p>到2014年以后，P2P技术发展到了3.0版本，这个版本的特征就是CDN+P2P技术+P2P节点资源，能提供全面的服务质量保障，性能不低于CDN。这个时期有优酷路由宝和迅雷赚钱宝等智能硬件产品面世，吸纳用户家庭和商业场所中闲散的带宽资源，打包成P2P的分发服务。P2P节点自此发展成了共享经济的模型。技术上，使用了智能硬件产品，客户端APP不再需要终端上传和读写磁盘。在业务场景上也支持的比较全面，长视频/短视频点播、大型赛事直播、秀场直播、大文件下载等都能完美支持。质量好，价格低，并且业务场景支持全面，这些因素促成了P2P CDN产品的不断发展，这个阶段积累了较大规模的商业化案例。</p>
<h3>二、阿里云PCDN的特性</h3>
<p>阿里云PCDN在P2P 3.0版本的基础上，做了更多的优化和创新。无论在业务场景的覆盖、性能指标，还是价格方面，都拥有大大领先其他P2P产品的优势。在P2P节点储备方面，阿里云PCDN通过发展节点联盟的方式，提供更好的商业合作模式，跟全国各大运营商、IDC、终端设备商等达成良好合作关系，目前已经有超过百万量级的分布全国各地区各运营商的优质P2P节点资源，P2P带宽储量超10Tbps。阿里云PCDN自主研发了业内领先的节点调度系统，拥有100多项核心技术专利，实现百万量级节点的全局调度，最优路径完成数据传输，就近访问，充分发挥P2P技术的优点，在并行传输、弱网优化、下载加速等方面优势明显，保证了优良的分发服务质量和更低的价格。</p>
<p>我们知道，在移动终端上，通常上传流量会带来很多负面影响，比如消耗用户流量、更加耗电、频繁读写T卡/ROM影响硬件设备寿命等。阿里云PCDN利用海量的P2P节点资源，使终端能做到只下载而不用上传，大大扩展了P2P CDN的使用范围，这个优势已明显领先于那些完全依靠客户端上传流量而获得P2P效率的P2P产品。</p>
<p>另外，阿里云PCDN针对各类业务场景做了进一步优化，使之对各场景的支持更加完善，给客户提供了更多差异化价值。在下载业务方面，支持下载速率控制（限速）。在带宽峰期对下载速度进行限制，可以有效控制带宽峰值。对于一些不追求下载速度的后台下载场景，同样可以对下载速度进行控制，使后台下载不至于影响前台的游戏、视频等网络体验。在安全方面，支持https，防止内容被篡改。并且集成了httpdns，保证了调度精准性，同时有效避免了域名劫持的发生。在防盗链的处理上，PCDN除了继承CDN的referer、鉴权策略、IP黑名单等防盗链机制，还从云+端的角度，使SDK跟本地业务结合，实现鉴权逻辑、DRM等，弥补了单纯靠云端鉴权的不足，使防盗链机制更加完善。</p>
<h3>三、PCDN保证高质量的基本原理</h3>
<p>CDN对外服务是单节点、单链路的方式，这要求CDN节点有很高的稳定性。一旦CDN节点出现故障或者链路出现抖动、拥塞等，将势必影响服务质量。而PCDN对外服务是多点对单点、多链路的方式，这种特性使PCDN能够有效避免节点故障、链路网络问题带来的影响，使整个传输更加稳定。<br /><a href="https://yqfile.alicdn.com/45ebb2ad0c4001377b6c87d4de6eedce91797ad2.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzQ1ZWJiMmFkMGM0MDAxMzc3YjZjODdkNGRlNmVlZGNlOTE3OTdhZDIucG5n.jpg"></a></p>
<p>PCDN对外服务时，CDN将被当做超级种子，同时也有很多P2P节点提供服务。虽然单个P2P节点的能力弱于CDN，但依赖数量众多的P2P节点和优良的调度算法，可以很好的保证整网的可靠性。CDN在节点水位问题、稳定性、网络波动等问题将要发生之前，P2P调度会尽可能从P2P节点把用户所要的内容返回给SDK，来抑制缓冲和卡顿的情况。所以PCDN相对于CDN，服务质量有所优化。</p>
<p>有数据显示，以视频点播业务为例，PCDN的首播时间等同于CDN，流畅性同比CDN平均提升1~3%。在下载业务方面，PCDN的下载速度、下载完成率等指标全面领先CDN。</p>
<h3>四、PCDN保证低价格的基本原理</h3>
<p>PCDN的带宽分为一、二、三级节点带宽，一级节点带宽为CDN带宽；二级节点带宽为分布全国各地P2P节点提供的带宽，包含接入层节点、路由器等提供的运营商/家庭出口带宽；三级带宽为客户端之间互相分享的带宽。如下图所示，各级节点能力不同，从一级CDN节点到三级客户端节点，根据其自身能力，按网络质量、存储容量、稳定性、计算能力、节点数量、可控性六个基本维度进行划分。其中，CDN各方面能力是最强的，但是节点数量是最少的，成本是最高的。逐一往右推移，网络质量和存储能力、计算能力在不同程度的下降，但是节点数量在提升，成本在降低。</p>
<p><a href="https://yqfile.alicdn.com/008f1ed9a556a081acf5300d7f88f97a1c9f921b.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzAwOGYxZWQ5YTU1NmEwODFhY2Y1MzAwZDdmODhmOTdhMWM5ZjkyMWIucG5n.jpg"></a></p>
<p>所以，阿里云PCDN在对外提供服务时，调度系统根据质量优先、兼顾成本的原则，对各级节点进行合理配比。以视频点播的业务为例，当播放器开始播放的时候，无论从用户还是从业务角度，都希望尽快拿到数据，不愿意缓冲和等待，这个时候PCDN默认CDN的响应是比较及时，调度系统首先从CDN上拿数据，即首帧时间与CDN等效。在正常播放过程中，播放器预缓冲时，播放器对数据的请求不是很着急，这时优先使用低成本的P2P，如果P2P没有命中或者调度系统评估要很慢才能回传，再回源CDN。通过这样的方法，能有效减少高成本的CDN用量。</p>
<p>通过这种方式，根据业务场景和使用量，PCDN的价格一般比CDN降低30%~50%。目前支持按日峰值带宽、月95峰值带宽和日流量三种计费方式。从客户的时间使用情况看，对于一个峰值带宽30G左右的业务，使用PCDN一年相比CDN可以节省至少100万。对于带宽峰值超过100G的业务，成本节省效果将更加可观。</p>
<p>阿里云PCDN目前已支持视频点播、视频直播、大文件下载各类典型的业务场景，包括但不限于长视频点播、短视频点播、互动娱乐直播、晚会赛事直播、应用市场分发等各类产品，全面支持Android、iOS、OTT、Flash、PC-Client等各种主流平台和主流协议。通过在娱乐、教育、体育、广电等多个行业积累的众多成熟服务客户案例，阿里云PCDN对各业务场景的理解与服务也不断升级优化，目前已能支持更多的下载场景、提供更好的防劫持防盗链方案和更好的视频播放体验，让质量和价格不再是矛盾体，达到高质量低成本这一超高性价比的效果，鱼和熊掌兼得。阿里云PCDN，期待为您提供更好的服务。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 05:15:19</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%b8%a6%e5%ae%bd/" title="带宽">带宽</a>, <a href="https://www.iamivan.net/tag/cdn/" title="cdn">cdn</a>, <a href="https://www.iamivan.net/tag/p2p/" title="p2p">p2p</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e5%8f%91/" title="分发">分发</a>, <a href="https://www.iamivan.net/tag/%e6%88%90%e6%9c%ac/" title="成本">成本</a>, <a href="https://www.iamivan.net/tag/pcdn/" title="PCDN">PCDN</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>鱼和熊掌兼得——解密阿里云PCDN如何实现高质量低价格的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bam6Jqb.html" rel="bookmark">浅谈阿里云PCDN原理及接入 几行代码能节省上百万的黑科技到底是什么？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				早在今年6月,阿里云已经发布了有一款黑科技产品--PCDN,它是以P2P技术为基础,通过挖掘利用边缘网络海量碎片化闲置资源而构建的低成本高品质内容分发网络服务,非常适用于视频点播.直播.大文件下载等业务场景.自从上线开始就得到了行业的关注,很多用户也在第一时间的申请了试用. 距离上线时隔五个月,不少用户已经成功接入并且上线运行了一段时间.其中绝大部分客户反馈加速效果得到优化,视频首播时间.流畅率等核心性能指标均有提升.与此同时,每月的CDN费用得到了有效缩减,平均降幅超过40%,真正做到了质量提			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAA49nM.html" rel="bookmark">使用阿里云PCDN降低内容分发成本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阿里云PCDN(P2P CDN的简称)是基于P2P技术的内容分发网络产品,相比CDN而言,PCDN单价较低,更适用于大流量内容分发.PCDN产品是与传统CDN互补协作的关系,以P2P技术为核心的分布式PCDN系统可与传统CDN.云CDN无缝集成,形成互补协作,PCDN相对于CDN进行了相应的扩容.提速.降费: (1)扩容,扩充放大CDN容量.PCDN可将原CDN容量按约1:5比例放大,使用PCDN后仅需要较小的 CDN规模即可获得约5倍的整体扩容效果. (2)提速,降低播放延迟及进行流畅率优化.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0XZ5z.html" rel="bookmark">阿里云PCDN新亮点  自动调用HTTPDNS 解决域名劫持困扰</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是域名劫持? 要想了解域名劫持,先了解域名解析服务器(DNS),它是Internet上作为域名和IP地址相互映射的一个分布式数据库,能够使用户更方便的访问互联网,而不用去记住能够被机器直接读取的IP数串.而通过主机名,最终得到该主机名对应的IP地址的过程叫做域名解析. 域名劫持是互联网攻击的一种方式,通过攻击域名解析服务器,或伪造域名解析服务器的方法,把目标网站域名解析到错误的地址从而实现用户无法访问目标网站的目的. 为什么要防劫持? 域名劫持会对业务产生负面影响, 如访问出现失败.不稳定.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8GZYoM.html" rel="bookmark">解密阿里云七武器之高性能消息服务ONS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				7月22日,首届阿里云分享日上,阿里云正式对外发布了企业级互联网架构解决方案,该服务由EDAS应用框架.ONS消息队列.DRDS分布式数据库组成,能有效解决企业上云后网站过载.性能瓶颈.重复开发等问题. 而由阿里巴巴集团经过6年的自主研发,基于高可用分布式集群技术的ONS云消息服务,是企业级互联网架构解决方案的典型代表.目前,ONS云消息服务每天可处理上千亿条消息,服务于阿里内部上千个应用,轻松通过天猫双十一等大促考验.外界对ONS的描述是&quot;成熟.稳定.可靠,性能突出&quot;,那么ONS究竟			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4NmkJM.html" rel="bookmark">bash脚本-阿里云CPU使用率偏高，由于某个守护进程，求现象解释</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 阿里云CPU使用率偏高,由于某个守护进程,求现象解释 昨天发现我阿里云的cpu莫名偏高,参见提问问了阿里云的技术支持,木有回答到点上,他们说是内存太高,但是我开了swap分区之后,也没有见到cpu使用率降低. 经过测试,发现,这个现象适合我写的一个进程守护脚本相关,谁能解释一下?脚本如下:#!/bin/bash while truedo process=ps -ef|grep /opt/tomcat7|grep -v grep if [ -z &quot;&quot;${process}&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrL1AM.html" rel="bookmark">解密阿里云Redis助力双十一背后的技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				双11如火如荼的结束了,阿里云Redis(ApsaraDB for Redis原KVStore)也圆满完成了双11Redis的保障工作.目前阿里云Redis提供了单机版本和集群版本的Redis. 单机版本Redis具有很高的兼容性,并且支持Lua脚本及地理位置计算. 集群版本具有大容量.高性能的特性,能够突破Redis单线程的单机性能极限. 阿里云Redis默认双机热备并提供了备份恢复支持,同时阿里云Redis源码团队持续对Redis进行优化升级,提供了强大的安全防护能力.本文将选取双11的一些			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9YrG4M.html" rel="bookmark">利用Docker和阿里云容器服务部署高可用Ghost博客集群</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 Ghost是一个流行的开源博客平台(Open source blogging platform),基于 Node.js 构建,博客内容默认采用 Markdown 语法书写,给用户提供一种更加纯粹的内容写作与发布平台. Ghost的部署和运维需要一定的Web开发基础,利用Docker技术可以大大简化Ghost的部署和更新.Docker Hub上面也提供了Ghost官方镜像 使用Docker镜像,不懂得Node.Js的同学也可以分分钟在本地或阿里云容器服务上搭建起一个单节点的Ghost博客,但			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQrlq0M.html" rel="bookmark">利用阿里云容器服务实现高可用抢红包应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				红包是春节习俗,原本是讨个吉利的意图.在互联网技术高度发展的今天,用手机抢红包已经成为一种文化.一种生活方式:据支付宝统计的数据显示,2016年2月7日除夕夜,支付宝共四轮&quot;咻一咻&quot;互动平台的总参与次数达到了3245亿次:在21点09分,用户的参与热情达到了顶峰,&quot;咻一咻&quot;峰值一度达到210亿次/分钟. 业务需求催生技术升级,随着红包业务的大众化.普遍化,我们对高可用.可扩展.按需提供服务的技术架构要求越来越高.下面介绍一种基于阿里云容器服务及相关云产品组成的高可用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAV6WXp.html" rel="bookmark">域名注册能否鱼和熊掌兼得 浅析红孩子上线创意域名做商城</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 SEO诊断 淘宝客 云主机 技术大厅 近日,童装巨头红孩子网也调整了一下自己的盈利模式,于2月28日,启用创意域名binggo.com,一个针对女性购物的商城--缤购网也随之上线运营.据该公司负责人透露,公司的网站营运体系将来会分成两个部分,一部分针对女性购物,即缤购网,另一部分针对母婴用品,即&quot;红孩子&quot;网,此外,有相关的人士还查询到红孩子网还持有CN域名binggo.cn,其他的相关后缀域名也已经被注册了,可见,众人对商机的关注程度是非常高的. 但是从域名选择的角度和专业度			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4NJLM.html" rel="bookmark" class="title">加强系统安全性的十个小技巧</a>
					<div>
						  1.察看本地共享资源 运行CMD输入net share,如果看到有异常的共享,那么应该关闭.但是有时你关闭共享下次开机的时候又出现了,那么你应该考虑一下,你的机器是否已经被黑客所控制了,或者中了病 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXqrjz.html" rel="bookmark" class="title">&lbrack;Qt教程&rsqb; 第32篇 网络（二）HTTP</a>
					<div>
						[Qt教程] 第32篇 网络(二)HTTP 楼主  发表于 2013-8-28 17:21:28 | 查看: 637| 回复: 8 HTTP 版权声明 该文章原创于作者yafeilinux,转载请注明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMldjLM.html" rel="bookmark" class="title">利用xml&plus;xsl快速生成大量JSP的常用代码的方法&period;</a>
					<div>
						js|xml 利用xml+xsl快速生成大量JSP的常用代码的方法. 参考Jbuilder的Servlet向导来使用xml+xsl产生JSP的常用代码.xml样本: &lt;?xml version= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYGDxz.html" rel="bookmark" class="title">微软推Everywhere数据库</a>
					<div>
						微软在四月许下了的诺言终于兑现,在TechEd 2006上微软推出了SQL Server Everywhere Edition的第一个CTP,这是针对客户端系统和移动设备版本的数据库. SQL Ser ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zG7Olz.html" rel="bookmark" class="title">在ASP中使用SQL语句之10&colon;视图</a>
					<div>
						视图|语句 假如页面上有很多条记录,很多情况下,对这些信息按照字母表降序排序会比传统的升序排序显示效率更高.采用你熟悉的ORDER BY 子句,你可以很容易地在页面上增加这一功能,让用户控制其记录显示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRmVKb.html" rel="bookmark" class="title">WORD设置文字效果教程</a>
					<div>
						选择字形效果 有时候为了强调和突出内容,可以通过改变字形来实现,如,粗体和斜体等.也可以将效果同时使用, 在[格式]工具栏中,设置字形的按钮呈点亮状态表示应用字形效果.否则表示取消使用字形效果. :表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxL0kb.html" rel="bookmark" class="title">如何在MySQL中复位根用户密码</a>
					<div>
						如果你从未为MySQL设置根用户密码,服务器在以根用户身份进行连接时不需要密码.但是,建议你为每个账户设置密码. 如果你以前设置了根用户密码,但却忘记了该密码,可设置新的密码.下述步骤是针对Windo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1ZxAz.html" rel="bookmark" class="title">hibernate3学习笔记&lpar;十六&rpar;｜容器映射</a>
					<div>
						1.Set映射 DDL: 1.CREATE TABLE user (2. id INT(11) NOT NULL auto_increment PRIMARY KEY,3. name VARCHAR( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A46qp.html" rel="bookmark" class="title">Excel如何实现折线图分组</a>
					<div>
						  如果将公司各季度的产品销售情况按地区分组,以折线图的形式呈现在Excel图表中(图1),这样将各组数据放在一起对比查看,效果会更加明显.但是,一般情况下折线图都是连续的,如何将分好组的数据用各自的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6A6Ez.html" rel="bookmark" class="title">Excel日常操作经验技巧</a>
					<div>
						一.巧改大写中文数字 1.首先我们将光标移动到要输入大写数字的单元格中,利用小键盘在单元格中输入对应的数字,比如:12345. 2.右键该单元格,选择&quot;设置单元格格式...&quot;. 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYPalb.html" rel="bookmark" class="title">360杀毒怎么设置白名单</a>
					<div>
						  经常发现一些亲测的小软件并没有毒,但是杀毒软件会出现误报的情况,如果是360杀毒软件误报的话,我们就可以将该软件设置成白名单,下次再启动时就不会出现报毒的情况了. 1.打开360杀毒软件,在右上角 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP85Amp.html" rel="bookmark" class="title">网盘如何知道你在分享侵权文件</a>
					<div>
						  Dropbox一类的网络存储工具如何知道你分享了侵权的文件?难道它们在不停窥探着用户的隐私吗?不不,其实它们并没有做任何坏事. 如果你知道&quot;文件哈希值匹配黑名单&quot;是什么意思,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE8exz.html" rel="bookmark" class="title">给力后勤保障 伊顿5P在线交互UPS新品评测</a>
					<div>
						[天极网服务器频道9月18日专稿]无论是数据中心还是企业的服务器.网络机柜的后备电源,在线互动式UPS因为转换效率高而成为了不可替代的角色.而如何在提升产品性能.简化设备的管理以及维护的难度.满足用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx3VRb.html" rel="bookmark" class="title">cocos2d-x  编译安卓&period;so文件出错</a>
					<div>
						问题描述 cocos2d-x 编译安卓.so文件出错 百度了一个星期都找不到方法,将近崩溃啦,重新配置环境也配置了好多次,各种ndk版本也换了好多,都不能解决问题,眼睛都废了.所以求各位大神出手相救. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7YjRM.html" rel="bookmark" class="title">android-Android ImageLoader显示图片内存猛增</a>
					<div>
						问题描述 Android ImageLoader显示图片内存猛增 我在用ImageLoader的时候,显示了2M图片的时候内存一下在就到了20M(还是可以运行的 我的ImageLoaderOption ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rGygz.html" rel="bookmark" class="title">漫游 HTTP&sol;2</a>
					<div>
						HTTP 是什么 首先我们要明白 HTTP 是什么.HTTP 是一个基于 TCP/IP 的应用层通信协议,它是客户端和服务端在互联网互相通讯的标准.它定义了内容是如何通过互联网进行请求和传输的.HTT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEX8EM.html" rel="bookmark" class="title">Google一直表示会将Google&plus;整合到其它产品线</a>
					<div>
						北京时间7月4日消息,Google+社交业务高级副总裁维克 古多塔(Vic Gundotra).Google+产品副总裁布拉德利 霍洛维茨(Bradley Horowitz)表示,Google+有社交 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JWO7z.html" rel="bookmark" class="title">C&num;此时金山的屏幕取词，编译无错误，但是没有反应！！</a>
					<div>
						问题描述 usingSystem;usingSystem.Collections.Generic;usingSystem.ComponentModel;usingSystem.Data;usingSy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlKovp.html" rel="bookmark" class="title">Python的动态重新封装的教程&lowbar;python</a>
					<div>
						让我们描绘一下本文的情节:假设您要在本地机器上运行一个进程,而部分程序逻辑却在另一处.让我们特别假设这个程序逻辑会不时更新, 而您运行进程时,希望使用最新的程序逻辑.有许多方法可以满足刚提到的要求:本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWZDlz.html" rel="bookmark" class="title">WordPress文章不收录实时推送新链接到百度收录的方法</a>
					<div>
						1.主动推送 打开WordPress主题文件中的functions.php模板函数文件,在末尾(?&gt;标记前)增加如下代码. if(!function_exists('Baidu_Submit') ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Nmx3p.html" rel="bookmark" class="title">探索 XML 的替代语法 &mdash;&mdash; 阅读和思考</a>
					<div>
						非常棒的文章!它涉及我一直以来考虑的问题,如何简化xml的编辑(它明确指出了我未确切意识到的xml编辑困难的一个根源:即最商业化的XML编辑器也在一定程度上需要定位和点击,这成为快捷自由地编写内容的拦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NJrrp.html" rel="bookmark" class="title">&lbrack;Oracle&rsqb; Data Guard CPU&sol;PSU补丁安装详细教程&lowbar;oracle</a>
					<div>
						非Data Guard的补丁安装教程可参考&lt;[Oracle] CPU/PSU补丁安装详细教程&gt;,Data Guard需要Primary和Standby同时打上补丁,所以步骤更复杂一些,其主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWxJKz.html" rel="bookmark" class="title">java-hibernate的联级更新，更新总是没有反应</a>
					<div>
						问题描述 hibernate的联级更新,更新总是没有反应 Userrole.hbm.xml &gt; &gt; &gt; &gt; &gt; Right.hbm.xml &gt; &gt; java代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0mvLM.html" rel="bookmark" class="title">【安全课堂】七种武器把黑客拒之门外</a>
					<div>
						本文讲的是[安全课堂]七种武器把黑客拒之门外,黑客环伺,银行账号.密码.身份,你的个人信息统统是他们所需.感觉好像电脑随时处于网络大盗攻击威胁之下,令人如坐针毡. 网络犯罪很复杂,但防范网络犯罪却十分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0KjAM.html" rel="bookmark" class="title">水利部称希望民间资本参与水资源的建设与运营</a>
					<div>
						伴随着物价上涨压力的减轻,早在规划中的水.电.天然气等资源性产品价格上调正在潜行.今年以来,天津.上海.南京.广州.兰州和银川等地相继上调了水价,引起各方关注. 8月3日,国家发改委网站挂出文章,介绍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvW4oNp.html" rel="bookmark" class="title">黑客元老推演网络大泄密：有点挑战实名制意味</a>
					<div>
						早报记者 是冬冬 &quot;一点都不意外,这在我们圈里流传很久了.&quot;中国鹰派联盟网的创立者.鹰派代表万涛如此评价近期多家网站用户信息遭泄露一事.万涛曾参与组织了2001年中美黑客大战. 万 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWG10M.html" rel="bookmark" class="title">《Greenplum企业应用实战》一3&period;2　日志分析</a>
					<div>
						3.2 日志分析 日志分析是网站分析的基础,通过对网站浏览的日志进行分析,可以为网站优化提供数据支持,了解用户群以及用户浏览特性,对改进网站体验,提升流量有非常重要的意义.下面将通过Greenplum ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0Vg5M.html" rel="bookmark" class="title">窃取虚拟机上的敏感数据：基于JavaScript的DRAM攻击</a>
					<div>
						本文讲的是窃取虚拟机上的敏感数据:基于JavaScript的DRAM攻击,1月5日,研究人员揭示动态随机存取存储器(DRAM)攻击新方法,恶意黑客可用JavaScript,通过隐秘通道,秘密盗取虚拟机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR7Deep.html" rel="bookmark" class="title">三星NAND Flash存储器将重返iPhone供应链</a>
					<div>
						韩厂积极打进苹果iPhone供应链.韩国媒体报导,三星电子计划提供NAND型快闪存储器给iPhone,这将是睽违4年后三星电子NAND型快闪存储器重返iPhone供应链. 韩国网站媒体ET News报 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK3KyWb.html" rel="bookmark" class="title">代码-java排列组合出所有的结果</a>
					<div>
						问题描述 java排列组合出所有的结果 代码: List&lt;String[]&gt; list = new ArrayList&lt;String[]&gt;(); String[] str =  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
